import javax.swing.*;

public class Hosgeldiniz2SWF
{
  public static void main(String[] args)
  {
  String isim;
  isim=JOptionPane.showInputDialog("isminizi giriniz : ");
  JLabel etiket=new JLabel("Java Programına Hoş geldiniz! "+isim);
  JFrame cerceve=new JFrame();
  cerceve.addWindowListener(new BasicWindowMonitor());
  cerceve.getContentPane().add(etiket);
  cerceve.pack();
  cerceve.setVisible(true);
  }
}
